Summary:	A Breakout style X Window System based game
Name:		xboing
Version:	2.4
Release:	14mdk
Copyright:	MIT
Group:		Games/Arcade
BuildRequires:	XFree86-devel xpm-devel
Source:		ftp://ftp.x.org/pub/games/xboing2.4.tar.bz2
Source1:	xboing.xpm
Source2:	xboing-mini.xpm
Source3:	xboing-large.xpm
Patch0:		xboing2.4.patch.bz2
Patch1:		xboing-2.4.patch.bz2
Patch2:		xboing-2.4-sparc.patch.bz2
Patch3:		xboing-cpu.patch.bz2
Patch4:		xboing-sound.patch.bz2
Patch5:		xboing-xfree4.patch.bz2
Url:		http://www.catt.rmit.edu.au/xboing/xboing.html
BuildRoot:	%{_tmppath}/%{name}-root

%description
Xboing is an X Window System based game like the Breakout arcade game.
The object of the game is to keep a ball bouncing on the bricks until
you've broken through all of them.

%prep

%setup -q -n xboing
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/{usr,var}/lib/games

make	DESTDIR=$RPM_BUILD_ROOT \
	XBOING_DIR=$RPM_BUILD_ROOT/%{_libdir}/games/xboing \
	HIGH_SCORE_FILE=$RPM_BUILD_ROOT/var/lib/games/xboing.score \
	install install.man

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/xboing <<EOF
?package(xboing): command="xboing" icon="xboing.xpm" title="XBoing" longtitle="Xboing breakout style game" needs="x11" section="Amusement/Arcade"
EOF

mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{large,mini}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_iconsdir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_miconsdir}/xboing.xpm
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/xboing.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
/usr/X11R6/man/man1/xboing.1x*
/usr/X11R6/bin/xboing
%{_libdir}/games/xboing
/var/lib/games/xboing.score
#%config /etc/X11/wmconfig/xboing
%{_menudir}/xboing
%{_iconsdir}/xboing.xpm
%{_miconsdir}/xboing.xpm
%{_liconsdir}/xboing.xpm

%changelog

* Mon Jan 15 2001 Francis Galiegue <fg@mandrakesoft.com> 2.4-14mdk

- Many spec file fixes (macros, etc)
- Small and large icons

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4-13mdk
- applied patches from rh.

* Thu Aug 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4-12mdk
- Corrected menu entry
- Spec clean up

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4-11mdk
- automatically added BuildRequires

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 2.4-10mdk
- Fix rpm group
- specfile modifications for spec-helper
- menu entry + icon

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- build package for 6.0

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewts@redhat.com>
- sparc architecture was trying to do a solaris build

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
